Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jdesktop.swingx.plaf
Class TaskPaneContainerAddon

    java.lang.Object
      org.jdesktop.swingx.plaf.AbstractComponentAddon
          org.jdesktop.swingx.plaf.TaskPaneContainerAddon

All Implemented Interfaces:
  ComponentAddon

    public class TaskPaneContainerAddon

extends AbstractComponentAddon

Addon for `JXTaskPaneContainer`. This addon defines the following properties:

TaskPaneContainer.background | background color
TaskPaneContainer.backgroundPainter | background painter
TaskPaneContainer.border | container border
TaskPaneContainer.font | font (currently unused)
TaskPaneContainer.foreground | foreground color (currently unused)

Author:
  Frederic Lavigne, Karl Schaefer

Constructor Summary
`TaskPaneContainerAddon()`

Method Summary
`protected void` | `addBasicDefaults(LookAndFeelAddons addon, DefaultsList defaults)` Adds default key/value pairs to the given list.
`protected void` | `addMacDefaults(LookAndFeelAddons addon, DefaultsList defaults)` Default implementation calls `AbstractComponentAddon.addBasicDefaults(LookAndFeelAddons, DefaultsList)`
`protected void` | `addMetalDefaults(LookAndFeelAddons addon, DefaultsList defaults)` Default implementation calls `AbstractComponentAddon.addBasicDefaults(LookAndFeelAddons, DefaultsList)`
`protected void` | `addNimbusDefaults(LookAndFeelAddons addon, DefaultsList defaults)` Default implementation calls `AbstractComponentAddon.addBasicDefaults(LookAndFeelAddons, DefaultsList)`
`protected void` | `addWindowsDefaults(LookAndFeelAddons addon, DefaultsList defaults)` Default implementation calls `AbstractComponentAddon.addBasicDefaults(LookAndFeelAddons, DefaultsList)`

Methods inherited from class org.jdesktop.swingx.plaf.AbstractComponentAddon
`addLinuxDefaults, addMotifDefaults, getName, initialize, isLinux, isMac, isMetal, isMotif, isNimbus, isPlastic, isSynth, isWindows, uninitialize`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TaskPaneContainerAddon

    public TaskPaneContainerAddon()

Method Detail

### addBasicDefaults

    protected void addBasicDefaults(LookAndFeelAddons addon,
                                    DefaultsList defaults)

  Description copied from class: `AbstractComponentAddon`
  Adds default key/value pairs to the given list.

  Overrides:
    `addBasicDefaults` in class `AbstractComponentAddon`

### addMetalDefaults

    protected void addMetalDefaults(LookAndFeelAddons addon,
                                    DefaultsList defaults)

  Default implementation calls `AbstractComponentAddon.addBasicDefaults(LookAndFeelAddons, DefaultsList)`

  Overrides:
    `addMetalDefaults` in class `AbstractComponentAddon`

### addWindowsDefaults

    protected void addWindowsDefaults(LookAndFeelAddons addon,
                                      DefaultsList defaults)

  Default implementation calls `AbstractComponentAddon.addBasicDefaults(LookAndFeelAddons, DefaultsList)`

  Overrides:
    `addWindowsDefaults` in class `AbstractComponentAddon`

### addMacDefaults

    protected void addMacDefaults(LookAndFeelAddons addon,
                                  DefaultsList defaults)

  Default implementation calls `AbstractComponentAddon.addBasicDefaults(LookAndFeelAddons, DefaultsList)`

  Overrides:
    `addMacDefaults` in class `AbstractComponentAddon`

### addNimbusDefaults

    protected void addNimbusDefaults(LookAndFeelAddons addon,
                                     DefaultsList defaults)

  Description copied from class: `AbstractComponentAddon`
  Default implementation calls `AbstractComponentAddon.addBasicDefaults(LookAndFeelAddons, DefaultsList)`

  Overrides:
    `addNimbusDefaults` in class `AbstractComponentAddon`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.